Add KPI impact link
curl --request POST \
--url https://atollhq.com/api/orgs/{id}/initiatives/{initiativeId}/kpi-impacts \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"title": "<string>",
"name": "<string>",
"description": "<string>",
"goal_id": "<string>",
"goalId": "<string>",
"owner_id": "<string>",
"ownerId": "<string>",
"target_date": "2023-12-25",
"targetDate": "2023-12-25",
"project_id": "<string>",
"projectId": "<string>",
"product_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'import requests
url = "https://atollhq.com/api/orgs/{id}/initiatives/{initiativeId}/kpi-impacts"
payload = {
"title": "<string>",
"name": "<string>",
"description": "<string>",
"goal_id": "<string>",
"goalId": "<string>",
"owner_id": "<string>",
"ownerId": "<string>",
"target_date": "2023-12-25",
"targetDate": "2023-12-25",
"project_id": "<string>",
"projectId": "<string>",
"product_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
title: '<string>',
name: '<string>',
description: '<string>',
goal_id: '<string>',
goalId: '<string>',
owner_id: '<string>',
ownerId: '<string>',
target_date: '2023-12-25',
targetDate: '2023-12-25',
project_id: '<string>',
projectId: '<string>',
product_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a'
})
};
fetch('https://atollhq.com/api/orgs/{id}/initiatives/{initiativeId}/kpi-impacts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://atollhq.com/api/orgs/{id}/initiatives/{initiativeId}/kpi-impacts",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'title' => '<string>',
'name' => '<string>',
'description' => '<string>',
'goal_id' => '<string>',
'goalId' => '<string>',
'owner_id' => '<string>',
'ownerId' => '<string>',
'target_date' => '2023-12-25',
'targetDate' => '2023-12-25',
'project_id' => '<string>',
'projectId' => '<string>',
'product_id' => '3c90c3cc-0d44-4b50-8888-8dd25736052a'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://atollhq.com/api/orgs/{id}/initiatives/{initiativeId}/kpi-impacts"
payload := strings.NewReader("{\n \"title\": \"<string>\",\n \"name\": \"<string>\",\n \"description\": \"<string>\",\n \"goal_id\": \"<string>\",\n \"goalId\": \"<string>\",\n \"owner_id\": \"<string>\",\n \"ownerId\": \"<string>\",\n \"target_date\": \"2023-12-25\",\n \"targetDate\": \"2023-12-25\",\n \"project_id\": \"<string>\",\n \"projectId\": \"<string>\",\n \"product_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://atollhq.com/api/orgs/{id}/initiatives/{initiativeId}/kpi-impacts")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"title\": \"<string>\",\n \"name\": \"<string>\",\n \"description\": \"<string>\",\n \"goal_id\": \"<string>\",\n \"goalId\": \"<string>\",\n \"owner_id\": \"<string>\",\n \"ownerId\": \"<string>\",\n \"target_date\": \"2023-12-25\",\n \"targetDate\": \"2023-12-25\",\n \"project_id\": \"<string>\",\n \"projectId\": \"<string>\",\n \"product_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://atollhq.com/api/orgs/{id}/initiatives/{initiativeId}/kpi-impacts")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"title\": \"<string>\",\n \"name\": \"<string>\",\n \"description\": \"<string>\",\n \"goal_id\": \"<string>\",\n \"goalId\": \"<string>\",\n \"owner_id\": \"<string>\",\n \"ownerId\": \"<string>\",\n \"target_date\": \"2023-12-25\",\n \"targetDate\": \"2023-12-25\",\n \"project_id\": \"<string>\",\n \"projectId\": \"<string>\",\n \"product_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n}"
response = http.request(request)
puts response.read_body{}{}{
"error": "Unauthorized",
"code": "unauthorized"
}{
"error": "Unauthorized",
"code": "unauthorized"
}{
"error": "Unauthorized",
"code": "unauthorized"
}{
"error": "Unauthorized",
"code": "unauthorized"
}{
"error": "Unauthorized",
"code": "unauthorized"
}Strategy
Add KPI impact link
Requires write access to the initiative and read access to the same-org KPI. For project-linked initiatives this means edit/admin access to every linked project; projectless initiative writes require an organization owner/admin. This relationship permission does not grant KPI definition, sync, or snapshot write access.
POST
/
api
/
orgs
/
{id}
/
initiatives
/
{initiativeId}
/
kpi-impacts
Add KPI impact link
curl --request POST \
--url https://atollhq.com/api/orgs/{id}/initiatives/{initiativeId}/kpi-impacts \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"title": "<string>",
"name": "<string>",
"description": "<string>",
"goal_id": "<string>",
"goalId": "<string>",
"owner_id": "<string>",
"ownerId": "<string>",
"target_date": "2023-12-25",
"targetDate": "2023-12-25",
"project_id": "<string>",
"projectId": "<string>",
"product_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'import requests
url = "https://atollhq.com/api/orgs/{id}/initiatives/{initiativeId}/kpi-impacts"
payload = {
"title": "<string>",
"name": "<string>",
"description": "<string>",
"goal_id": "<string>",
"goalId": "<string>",
"owner_id": "<string>",
"ownerId": "<string>",
"target_date": "2023-12-25",
"targetDate": "2023-12-25",
"project_id": "<string>",
"projectId": "<string>",
"product_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
title: '<string>',
name: '<string>',
description: '<string>',
goal_id: '<string>',
goalId: '<string>',
owner_id: '<string>',
ownerId: '<string>',
target_date: '2023-12-25',
targetDate: '2023-12-25',
project_id: '<string>',
projectId: '<string>',
product_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a'
})
};
fetch('https://atollhq.com/api/orgs/{id}/initiatives/{initiativeId}/kpi-impacts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://atollhq.com/api/orgs/{id}/initiatives/{initiativeId}/kpi-impacts",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'title' => '<string>',
'name' => '<string>',
'description' => '<string>',
'goal_id' => '<string>',
'goalId' => '<string>',
'owner_id' => '<string>',
'ownerId' => '<string>',
'target_date' => '2023-12-25',
'targetDate' => '2023-12-25',
'project_id' => '<string>',
'projectId' => '<string>',
'product_id' => '3c90c3cc-0d44-4b50-8888-8dd25736052a'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://atollhq.com/api/orgs/{id}/initiatives/{initiativeId}/kpi-impacts"
payload := strings.NewReader("{\n \"title\": \"<string>\",\n \"name\": \"<string>\",\n \"description\": \"<string>\",\n \"goal_id\": \"<string>\",\n \"goalId\": \"<string>\",\n \"owner_id\": \"<string>\",\n \"ownerId\": \"<string>\",\n \"target_date\": \"2023-12-25\",\n \"targetDate\": \"2023-12-25\",\n \"project_id\": \"<string>\",\n \"projectId\": \"<string>\",\n \"product_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://atollhq.com/api/orgs/{id}/initiatives/{initiativeId}/kpi-impacts")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"title\": \"<string>\",\n \"name\": \"<string>\",\n \"description\": \"<string>\",\n \"goal_id\": \"<string>\",\n \"goalId\": \"<string>\",\n \"owner_id\": \"<string>\",\n \"ownerId\": \"<string>\",\n \"target_date\": \"2023-12-25\",\n \"targetDate\": \"2023-12-25\",\n \"project_id\": \"<string>\",\n \"projectId\": \"<string>\",\n \"product_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://atollhq.com/api/orgs/{id}/initiatives/{initiativeId}/kpi-impacts")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"title\": \"<string>\",\n \"name\": \"<string>\",\n \"description\": \"<string>\",\n \"goal_id\": \"<string>\",\n \"goalId\": \"<string>\",\n \"owner_id\": \"<string>\",\n \"ownerId\": \"<string>\",\n \"target_date\": \"2023-12-25\",\n \"targetDate\": \"2023-12-25\",\n \"project_id\": \"<string>\",\n \"projectId\": \"<string>\",\n \"product_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n}"
response = http.request(request)
puts response.read_body{}{}{
"error": "Unauthorized",
"code": "unauthorized"
}{
"error": "Unauthorized",
"code": "unauthorized"
}{
"error": "Unauthorized",
"code": "unauthorized"
}{
"error": "Unauthorized",
"code": "unauthorized"
}{
"error": "Unauthorized",
"code": "unauthorized"
}Authorizations
Body
application/json
Response
Successful response
The response is of type object.

